<?php
namespace app\manage\controller;
use think\Controller;
use think\Db;//加载数据库类
use think\Comm;
use think\Session;
use phpmailer\phpmailer;//加载发送邮件类

/**
 * EV管家后台登录控制器
 */

class Login extends controller
{
	//登录页面显示	https://www.houjt.com/userproject/ev/index.php/manage/Login/index
	public function index()
	{
		return $this->fetch('index');
	}

	//登录接口
	public function login()
	{
		$data = input('post.');
		//查询登录
		$row = db('ev_manage_user')->field('id,username,power')
								   ->where('username',$data['username'])
								   ->where('cryptogram',$data['cryptogram'])
								   ->find();

		if($row){
			//有数据,存储账号以及权限
			Session::set('id',$row['id']);
			Session::set('username',$row['username']);
			Session::set('power',$row['power']);

			// 登录成功，跳转到后台首页
			return $this->redirect('Home/index');
		}else{
			//没有数据，登录失败
			return $this->error('账号或密码错误！');
		}
	}

	//退出登录
	public function logout()
	{
		//清除session
		Session::clear();
		return $this->redirect('Login/index');
	}

	//发送邮箱验证码
    public function email()  
    {  
        $toemail = 'xxx@qq.com';//定义收件人的邮箱  

        $mail = new PHPMailer();  

        $mail->isSMTP();// 使用SMTP服务  
        $mail->CharSet = "utf8";// 编码格式为utf8，不设置编码的话，中文会出现乱码  
        $mail->Host = "smtp.163.com";// 发送方的SMTP服务器地址  
        $mail->SMTPAuth = true;// 是否使用身份验证   
        $mail->Username = "xxx@163.com";// 发送方的163邮箱用户名，就是你申请163的SMTP服务使用的163邮箱
        $mail->Password = "xxx";// 发送方的邮箱密码，注意用163邮箱这里填写的是“客户端授权密码”而不是邮箱的登录密码！
        $mail->SMTPSecure = "ssl";// 使用ssl协议方式
        $mail->Port = 994;// 163邮箱的ssl协议方式端口号是465/994  

        $mail->setFrom("xxx@163.com","久爱科技");// 设置发件人信息，如邮件格式说明中的发件人，这里会显示为Mailer(xxxx@163.com），Mailer是当做名字显示  
        $mail->addAddress($toemail);// 设置收件人信息，如邮件格式说明中的收件人，这里会显示为Liang(yyyy@163.com)  
        $mail->addReplyTo("xxx@163.com","Reply");// 设置回复人信息，指的是收件人收到邮件后，如果要回复，回复邮件将发送到的邮箱地址  
        //$mail->addCC("xxx@1063.com");// 设置邮件抄送人，可以只写地址，上述的设置也可以只写地址(这个人也能收到邮件)  
        //$mail->addBCC("xxx@163.com");// 设置秘密抄送人(这个人也能收到邮件)  
        //$mail->addAttachment("bug0.jpg");// 添加附件  

        $mail->ContentType = 'text/html';// 发送html格式的邮件，默认为 text/plain 普通文本格式
        $mail->Subject = "久爱科技用户激活邮件";// 邮件标题  
        $mail->Body = "<h4>您好，<strong>雨落凄凉</strong> ：</h4>

<p>欢迎加入<b>久爱科技</b>！请点击下面的链接来认证您的邮箱。</p>

<p>http://www.9iqu.cn/</p>

<p>如果您的邮箱不支持链接点击，请将以上链接地址拷贝到你的浏览器地址栏中认证。</p>
<p><span style='color:#ccc;'>此邮件为系统自动发出的，请勿直接回复。</span></p>";// 邮件正文  
        //$mail->AltBody = "This is the plain text纯文本";// 这个是设置纯文本方式显示的正文内容，如果不支持Html方式，就会用到这个，基本无用  

        if(!$mail->send()){// 发送邮件  
            echo "Message could not be sent.";  
            echo "Mailer Error: ".$mail->ErrorInfo;// 输出错误信息  
        }else{  
            echo '发送成功';  
        }  
    }

}

?>